/*
 * KTile.cpp
 *
 *  Created on: Sep 27, 2008
 *      Author: Santi
 */

#ifdef KITSCHY_DEBUG_MEMORY
#include "debug_memorymanager.h"
#endif


#ifdef _WIN32
#include "windows.h"
#endif

#include "stdlib.h"
#include "string.h"
#include "math.h"

#include "debug.h"

#include "GL/gl.h"
#include "SDL.h"
#include "SDL_image.h"
#include "SDL_mixer.h"

#include "BList.h"

#include "auxiliar.h"
#include "2DCMC.h"
#include "Symbol.h"
#include "GLTile.h"
#include "keyboardstate.h"

#include "GLTManager.h"
#include "SoundManager.h"
#include "SFXManager.h"
#include "KObject.h"
#include "KTile.h"

#include "KObjectCreator.h"

KTile::KTile(int x, int y, GLTile *tile) : KObject(x,y,0){
    m_class = ktile_symbol;
    m_last_tile_used = tile;

}

KTile::~KTile() {
}


bool KTile::is_a(Symbol *c)
{
    if (c->cmp(ktile_symbol))
        return true;

    return KObject::is_a(c);
} /* KTile::is_a */


bool KTile::is_a(char *c)
{
    bool retval;
    Symbol *s = new Symbol(c);

    retval = is_a(s);

    delete s;

    return retval;
} /* KTile::is_a */

